Subject: Re: <draft-ietf-disman-remops-mib-06.txt>

From: Randy Presuhn <[email-masked]>
Date: Thu, 12 Aug 1999 09:12:29 -0700 (PDT)

Hi -

> Date: Thu, 12 Aug 1999 09:27:52 -0400 (EDT)
> From: Alan Luchuk <[email-masked]>
> To: [email-masked]
> Subject: Re: <draft-ietf-disman-remops-mib-06.txt>
> Cc: [email-masked]
...
> >> Page 13
> >> -------
> >>
> >> The HostAddress textual convention is specified like this:
> >>
> >>
> >>    HostAddress ::= TEXTUAL-CONVENTION
> >>       STATUS  current
> >>       DESCRIPTION
> >>           "The textual convention for specifying a host
> >>           address.  The type of address can be determined
> >>           by examining the value of the preceding
> >>           HostAddressType object:
> >>
> >>              HostAddressType   OCTETs    ADDRESS TYPE
> >>                 none(0)         0        not specified
> >>                 dnsName(1)      1-255    DNS name
> >>                 ipv4(2)         4        ipv4
> >>                 ipv6(3)         16       ipv6"
> >>       SYNTAX OCTET STRING (SIZE (0..255))
> >>
> >
> >I don't see anything in the TC definition that would require a
> >management system to use the hex form for either display or data
> >entry.  Am I mising something here?
> 
> OK.  You got me.  I guess the definition doesn't absolutely
> _require_ the management system use the hex form, but I guess
> I assumed that implementors would conform to what's documented
> in the DESCRIPTION.
...

What was it about the DESCRIPTION text that led to the conclusion that
the user interface would use hex notation for ipv4 or ipv6 addresses?
Why wouldn't that same logic lead one to believe that DNS names would
be entered in hex?  :-)

Seriously, if there are words in there that are misleading potential
implementors of user interfaces, we should fix them.  (The words,
the implementors, or the user interfaces: take your pick.)

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------